%define	name	libsndfile
%define version 1.0.17
%define release %mkrel 2
%define	major	1
%define	libname	%mklibname sndfile %major

Summary:	A library to handle various audio file formats
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sound
Source0:	http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.bz2
URL:		http://www.mega-nerd.com/libsndfile/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libflac-devel

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package -n	%libname
Summary:	Shared library of sndfile
Group:		System/Libraries

%description -n	%libname
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%package -n	%libname-devel 
Summary:	Libraries, includes, etc to develop libsndfile applications 
Group:		Development/C
Requires:	%libname = %version
Provides:	%name-devel = %version-%release

%description -n	%libname-devel
Libraries, include files, etc you can use to develop libsndfile applications.

%package -n	%libname-static-devel 
Summary:	Static Library for developing libsndfile applications
Group:		Development/C
Requires:	%libname-devel = %version
Provides:	%name-static-devel = %version-%release

%description -n	%libname-static-devel
This contains the static library of libsndfile needed for building apps that
link statically to libsndfile.

%package	progs
Summary:	Example progs based on libsndfile
Group:		Sound 

%description	progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot installed-docs/
%makeinstall_std transform=""
mv %buildroot%_datadir/doc/libsndfile*dev/* installed-docs

%clean
rm -rf %buildroot

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_libdir}/libsndfile.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc installed-docs/*
%attr(644,root,root) %{_libdir}/libsndfile.la
%{_libdir}/libsndfile.so
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/libsndfile.a

%files progs
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/octave/

%changelog
* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.17-2mdv2007.0
- add provides for static package

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 1.0.17-1mdv2007.0
- update file list
- New release 1.0.17

* Sun Apr 30 2006 Götz Waschk <waschk@mandriva.org> 1.0.16-1mdk
- New release 1.0.16

* Fri Mar 17 2006 Götz Waschk <waschk@mandriva.org> 1.0.15-1mdk
- New release 1.0.15

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 1.0.14-1mdk
- New release 1.0.14

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.0.13-1mdk
- New release 1.0.13
- use mkrel

* Tue Oct  4 2005 Gtz Waschk <waschk@mandriva.org> 1.0.12-1mdk
- fix buildrequires
- New release 1.0.12

* Mon Nov 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.11-1mdk
- New release 1.0.11

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.10-1mdk
- fix url
- reenable libtoolize
- New release 1.0.10

* Thu Apr 01 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.9-1mdk
- 1.0.9
- fix libtoolize

* Tue Nov 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.5-4mdk
- drop obsolote Prefix tag
- cosmetics

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-3mdk
- add the octave dirs to the package (distriblint)

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-2mdk
- rebuild for new rpm

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- new version

* Thu Mar 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-2mdk
- mklibname macro
- make the devel package require pkgconfig

* Mon Feb 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Mon Dec 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- new version

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- fix names of the binaries

* Sun Nov 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- new version

* Thu Nov 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- add man pages and octave macros to progs package

* Sat Sep 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- rearrange docs
- split out progs and static-devel packages
- new version

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- provide pkgconfig/sndfile.pc

* Thu Aug 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- new major version 1
- 1.0.0

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.0.28-1mdk
- initial mdk package

* Thu Jul 6 2000 Josh Green <jgreen@users.sourceforge.net>
- Created libsndfile.spec.in
